# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.5.1] - 2025-02-17

### Fixed
- *(deps)* update rust crate prost to v0.13.5
- *(deps)* update all dependencies
- *(deps)* update all dependencies
- *(deps)* update rust crate serde_json to v1.0.136
- *(deps)* update rust crate uuid to v1.12.0
- *(deps)* update all dependencies to v6
- *(deps)* update rust crate uuid to v1.11.1
- *(deps)* update rust crate serde_json to v1.0.135
- *(deps)* update all dependencies
- *(deps)* update rust crate serde to v1.0.217
- *(deps)* update rust crate serde_json to v1.0.134

### Other
- *(deps)* update rust crate tempfile to v3.17.0
- *(deps)* update rust crate clap to v4.5.29
- *(deps)* update all dependencies
- *(deps)* update rust crate clap to v4.5.28
- *(deps)* update all dependencies
- *(deps)* update rust crate clap to v4.5.26
- *(deps)* update rust crate tokio to v1.43.0
- *(deps)* update rust crate clap to v4.5.24
- *(deps)* update rust crate axum to 0.8
- *(deps)* update rust crate itertools to 0.14.0
- *(deps)* update rust crate anyhow to v1.0.95

## [0.5.0] - 2024-12-15

### Added
- allow taking a local path

### Fixed
- *(deps)* update rust crate serde to v1.0.216
- *(deps)* update rust crate prost to v0.13.4

### Other
- *(deps)* update rust crate clap to v4.5.23
- *(deps)* update all dependencies
- *(deps)* update rust crate tracing-subscriber to v0.3.19
- *(deps)* update rust crate tracing to v0.1.41

## [0.4.0] - 2024-11-23

### Added
- update hyperlog
- add hyperlog

### Fixed
- *(deps)* update rust crate tower-http to v0.6.2
- *(deps)* update rust crate serde to v1.0.215
- *(deps)* update rust crate serde to v1.0.214
- *(deps)* update rust crate serde to v1.0.213
- *(deps)* update rust crate ratatui to 0.29.0
- *(deps)* update rust crate serde_json to v1.0.132
- *(deps)* update rust crate serde_json to v1.0.129
- *(deps)* update rust crate uuid to v1.11.0
- *(deps)* update rust crate human-panic to v2.0.2
- *(deps)* update rust crate tower-http to v0.6.1
- *(deps)* update rust crate prost to v0.13.3
- *(deps)* update rust crate tower-http to 0.6.0
- *(deps)* update rust crate serde to v1.0.210
- *(deps)* update rust crate sqlx to v0.8.2
- *(deps)* update rust crate prost to v0.13.2
- *(deps)* update rust crate ratatui to v0.28.1
- *(deps)* update rust crate sqlx to v0.8.1
- *(deps)* update rust crate serde to v1.0.209
- *(deps)* update rust crate serde_json to v1.0.127
- *(deps)* update rust crate serde_json to v1.0.126
- *(deps)* update rust crate prost to 0.13.0
- *(deps)* update rust crate serde to v1.0.208

### Other
- *(deps)* update all dependencies
- *(deps)* update rust crate axum to v0.7.8
- *(deps)* update rust crate clap to v4.5.21
- *(deps)* update rust crate tempfile to v3.14.0
- *(deps)* update rust crate tokio to v1.41.1
- *(deps)* update rust crate anyhow to v1.0.93
- *(deps)* update rust crate anyhow to v1.0.92
- *(deps)* update all dependencies to v1.0.91
- *(deps)* update all dependencies
- *(deps)* update rust crate clap to v4.5.20
- *(deps)* update rust crate futures to v0.3.31
- *(deps)* update rust crate clap to v4.5.19
- *(deps)* update rust crate tempfile to v3.13.0
- *(deps)* update rust crate axum to v0.7.7
- *(deps)* update tonic monorepo to v0.12.3
- *(deps)* update all dependencies
- *(deps)* update rust crate anyhow to v1.0.89
- *(deps)* update rust crate anyhow to v1.0.88
- *(deps)* update rust crate anyhow to v1.0.87
- *(deps)* update rust crate similar-asserts to v1.6.0
- *(deps)* update all dependencies
- *(deps)* update rust crate tokio to v1.40.0
- *(deps)* update tonic monorepo to v0.12.2
- *(deps)* update tonic monorepo to 0.12.0
- *(deps)* update all dependencies

## [0.3.0] - 2024-06-30

### Added
- add markdown editing mode

## [0.2.0] - 2024-05-25

### Added
- enable creating items on the same level
- add command for quickly creating an item
- remove removal of spaces in title
- with toggle item
- with backend
- can get actual available roots
- can add items
- server can actually create root and sections
- abstract commander
- with async commands instead of inline mutations phew.
- add command pattern
- allow async function in command
- move core to tui and begin grpc work
- add protos
- update deps
- with basic server

### Fixed
- *(deps)* update rust crate serde to v1.0.203
- *(deps)* update rust crate prost to 0.12.6
- *(deps)* update rust crate prost to 0.12.5
- *(deps)* update rust crate serde to 1.0.202

### Other
- *(deps)* update all dependencies
- *(deps)* update rust crate itertools to 0.13.0
- move unused imports into cfg
- remove unused functions and fix warnings
- remove unused variables
- fix formatting
- refactor out graph created event
- let state use either local or backend
- remove warnings
- remove extra logs

## [0.1.0] - 2024-05-11

### Added
- add filtering
- implement filter
- skipped for now
- can create root
- add color
- it freaking works
- *(redo-ui)* wip
- use cli plan
- add create section
- render sections
- can actually check marks
- add archive
- add more interaction
- tie dialog to graph
- implement command mode
- make highlight be a little more bold
- with input
- version 0.0.0-working-ui
- left right movement done
- show basic json screen
- add logging for tui
- add storage
- add event layer
- hyperlog with basic engine

### Docs
- add some more notes
- add a few more items
- add some todos

### Fixed
- *(deps)* update all dependencies

### Other
- remove unused
- refactor into classic
- add please
- use cli plan instead
- refactor app
- fix test breaking changes
- check can create sections
- make clippy happy
- check off todos
- fix styles
- remove file|
- refactor
- remove unused imports
- into crates
- into crates
- move subcommands aside
